import { createRequire } from "node:module";

const require = createRequire(import.meta.url);

function defaultTo(value, defaultVal) {
    return void 0 === value ? defaultVal : value;
}

function generateVmPlugins(options = {}) {
    let isDebug = defaultTo(options.isDebug, !0);
    return [ [ defaultTo(options.__loadPlugins, !1) ? require("babel-plugin-debug-macros") : require.resolve("babel-plugin-debug-macros"), {
        debugTools: {
            source: "@glimmer/global-context",
            isDebug: isDebug
        },
        externalizeHelpers: {
            module: !0
        },
        flags: [ {
            source: "@glimmer/env",
            flags: {
                DEBUG: isDebug
            }
        } ]
    }, "glimmer-vm-debug-macros" ] ];
}

export { generateVmPlugins as default };
//# sourceMappingURL=index.js.map
